Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.h
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.h	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.h	(revision 117)
@@ -0,0 +1,144 @@
+/****************************************************************************
+** 
+** Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
+** All rights reserved.
+** Contact: Nokia Corporation (qt-info@nokia.com)
+** 
+** This file is part of a Qt Solutions component.
+**
+** Commercial Usage  
+** Licensees holding valid Qt Commercial licenses may use this file in
+** accordance with the Qt Solutions Commercial License Agreement provided
+** with the Software or, alternatively, in accordance with the terms
+** contained in a written agreement between you and Nokia.
+** 
+** GNU Lesser General Public License Usage
+** Alternatively, this file may be used under the terms of the GNU Lesser
+** General Public License version 2.1 as published by the Free Software
+** Foundation and appearing in the file LICENSE.LGPL included in the
+** packaging of this file.  Please review the following information to
+** ensure the GNU Lesser General Public License version 2.1 requirements
+** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+** 
+** In addition, as a special exception, Nokia gives you certain
+** additional rights. These rights are described in the Nokia Qt LGPL
+** Exception version 1.1, included in the file LGPL_EXCEPTION.txt in this
+** package.
+** 
+** GNU General Public License Usage 
+** Alternatively, this file may be used under the terms of the GNU
+** General Public License version 3.0 as published by the Free Software
+** Foundation and appearing in the file LICENSE.GPL included in the
+** packaging of this file.  Please review the following information to
+** ensure the GNU General Public License version 3.0 requirements will be
+** met: http://www.gnu.org/copyleft/gpl.html.
+** 
+** Please note Third Party Software included with Qt Solutions may impose
+** additional restrictions and it is the user's responsibility to ensure
+** that they have met the licensing requirements of the GPL, LGPL, or Qt
+** Solutions Commercial license and the relevant license of the Third
+** Party Software they are using.
+** 
+** If you are unsure which license is appropriate for your use, please
+** contact Nokia at qt-info@nokia.com.
+** 
+****************************************************************************/
+
+#ifndef QTTOOLBARDIALOG_H
+#define QTTOOLBARDIALOG_H
+
+#include <QtGui/QDialog>
+
+#if defined(Q_WS_WIN)
+#  if !defined(QT_QTTOOLBARDIALOG_EXPORT) && !defined(QT_QTTOOLBARDIALOG_IMPORT)
+#    define QT_QTTOOLBARDIALOG_EXPORT
+#  elif defined(QT_QTTOOLBARDIALOG_IMPORT)
+#    if defined(QT_QTTOOLBARDIALOG_EXPORT)
+#      undef QT_QTTOOLBARDIALOG_EXPORT
+#    endif
+#    define QT_QTTOOLBARDIALOG_EXPORT __declspec(dllimport)
+#  elif defined(QT_QTTOOLBARDIALOG_EXPORT)
+#    undef QT_QTTOOLBARDIALOG_EXPORT
+#    define QT_QTTOOLBARDIALOG_EXPORT __declspec(dllexport)
+#  endif
+#else
+#  define QT_QTTOOLBARDIALOG_EXPORT
+#endif
+
+class QMainWindow;
+class QAction;
+class QToolBar;
+
+class QtToolBarManagerPrivate;
+
+class QT_QTTOOLBARDIALOG_EXPORT QtToolBarManager : public QObject
+{
+    Q_OBJECT
+public:
+
+    QtToolBarManager(QObject *parent = 0);
+    ~QtToolBarManager();
+
+    void setMainWindow(QMainWindow *mainWindow);
+    QMainWindow *mainWindow() const;
+
+    void addAction(QAction *action, const QString &category);
+    void removeAction(QAction *action);
+
+    void addToolBar(QToolBar *toolBar, const QString &category);
+    void removeToolBar(QToolBar *toolBar);
+
+    QList<QToolBar *> toolBars() const;
+
+    QByteArray saveState(int version = 0) const;
+    bool restoreState(const QByteArray &state, int version = 0);
+
+private:
+
+    friend class QtToolBarDialog;
+    QtToolBarManagerPrivate *d_ptr;
+    Q_DECLARE_PRIVATE(QtToolBarManager)
+    Q_DISABLE_COPY(QtToolBarManager)
+};
+
+class QtToolBarDialogPrivate;
+
+class QT_QTTOOLBARDIALOG_EXPORT QtToolBarDialog : public QDialog
+{
+    Q_OBJECT
+public:
+
+    QtToolBarDialog(QWidget *parent = 0, Qt::WFlags flags = 0);
+    ~QtToolBarDialog();
+
+    void setToolBarManager(QtToolBarManager *toolBarManager);
+
+protected:
+
+    void showEvent(QShowEvent *event);
+    void hideEvent(QHideEvent *event);
+
+private:
+
+    QtToolBarDialogPrivate *d_ptr;
+    Q_DECLARE_PRIVATE(QtToolBarDialog)
+    Q_DISABLE_COPY(QtToolBarDialog)
+
+    Q_PRIVATE_SLOT(d_func(), void newClicked())
+    Q_PRIVATE_SLOT(d_func(), void removeClicked())
+    Q_PRIVATE_SLOT(d_func(), void defaultClicked())
+    Q_PRIVATE_SLOT(d_func(), void okClicked())
+    Q_PRIVATE_SLOT(d_func(), void applyClicked())
+    Q_PRIVATE_SLOT(d_func(), void cancelClicked())
+    Q_PRIVATE_SLOT(d_func(), void upClicked())
+    Q_PRIVATE_SLOT(d_func(), void downClicked())
+    Q_PRIVATE_SLOT(d_func(), void leftClicked())
+    Q_PRIVATE_SLOT(d_func(), void rightClicked())
+    Q_PRIVATE_SLOT(d_func(), void renameClicked())
+    Q_PRIVATE_SLOT(d_func(), void toolBarRenamed(QListWidgetItem *))
+    Q_PRIVATE_SLOT(d_func(), void currentActionChanged(QTreeWidgetItem *))
+    Q_PRIVATE_SLOT(d_func(), void currentToolBarChanged(QListWidgetItem *))
+    Q_PRIVATE_SLOT(d_func(), void currentToolBarActionChanged(QListWidgetItem *))
+};
+
+#endif
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri	(revision 117)
@@ -0,0 +1,17 @@
+include(../common.pri)
+INCLUDEPATH += $$PWD
+DEPENDPATH += $$PWD
+
+qttoolbardialog-uselib:!qttoolbardialog-buildlib {
+    LIBS += -L$$QTTOOLBARDIALOG_LIBDIR -l$$QTTOOLBARDIALOG_LIBNAME
+} else {
+    SOURCES += $$PWD/qttoolbardialog.cpp
+    HEADERS += $$PWD/qttoolbardialog.h
+    FORMS += $$PWD/qttoolbardialog.ui
+#    RESOURCES += $$PWD/qttoolbardialog.qrc
+}
+
+win32 {
+    contains(TEMPLATE, lib):contains(CONFIG, shared):DEFINES += QT_QTTOOLBARDIALOG_EXPORT
+    else:qttoolbardialog-uselib:DEFINES += QT_QTTOOLBARDIALOG_IMPORT
+}
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc	(revision 117)
@@ -0,0 +1,10 @@
+<RCC version="1.0">
+    <qresource prefix="/qttoolbardialog">
+        <file>images/up.png</file>
+        <file>images/down.png</file>
+        <file>images/forward.png</file>
+        <file>images/back.png</file>
+        <file>images/plus.png</file>
+        <file>images/minus.png</file>
+    </qresource>
+</RCC>
Index: trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.ui
===================================================================
--- trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.ui	(revision 117)
+++ trunk/src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.ui	(revision 117)
@@ -0,0 +1,240 @@
+<ui version="4.0" >
+ <author></author>
+ <comment></comment>
+ <exportmacro></exportmacro>
+ <class>QtToolBarDialog</class>
+ <widget class="QDialog" name="QtToolBarDialog" >
+  <property name="geometry" >
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>487</width>
+    <height>464</height>
+   </rect>
+  </property>
+  <property name="windowTitle" >
+   <string>Customize Toolbars</string>
+  </property>
+  <layout class="QGridLayout" >
+   <property name="margin" >
+    <number>8</number>
+   </property>
+   <property name="spacing" >
+    <number>6</number>
+   </property>
+   <item rowspan="3" row="1" column="0" >
+    <widget class="QTreeWidget" name="actionTree" />
+   </item>
+   <item row="0" column="0" >
+    <widget class="QLabel" name="label" >
+     <property name="text" >
+      <string>Actions</string>
+     </property>
+    </widget>
+   </item>
+   <item row="0" column="1" colspan="2" >
+    <layout class="QHBoxLayout" >
+     <property name="margin" >
+      <number>0</number>
+     </property>
+     <property name="spacing" >
+      <number>6</number>
+     </property>
+     <item>
+      <widget class="QLabel" name="label_2" >
+       <property name="text" >
+        <string>Toolbars</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QToolButton" name="newButton" >
+       <property name="text" >
+        <string>New</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QToolButton" name="removeButton" >
+       <property name="text" >
+        <string>Remove</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QToolButton" name="renameButton" >
+       <property name="text" >
+        <string>Rename</string>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </item>
+   <item row="4" column="0" colspan="3" >
+    <layout class="QHBoxLayout" >
+     <property name="margin" >
+      <number>0</number>
+     </property>
+     <property name="spacing" >
+      <number>6</number>
+     </property>
+     <item>
+      <widget class="QPushButton" name="defaultButton" >
+       <property name="text" >
+        <string>Restore All</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <spacer>
+       <property name="orientation" >
+        <enum>Qt::Horizontal</enum>
+       </property>
+       <property name="sizeHint" >
+        <size>
+         <width>61</width>
+         <height>31</height>
+        </size>
+       </property>
+      </spacer>
+     </item>
+     <item>
+      <widget class="QPushButton" name="okButton" >
+       <property name="text" >
+        <string>OK</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QPushButton" name="applyButton" >
+       <property name="text" >
+        <string>Apply</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QPushButton" name="cancelButton" >
+       <property name="text" >
+        <string>Cancel</string>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </item>
+   <item row="3" column="1" >
+    <layout class="QVBoxLayout" >
+     <property name="margin" >
+      <number>0</number>
+     </property>
+     <property name="spacing" >
+      <number>6</number>
+     </property>
+     <item>
+      <widget class="QToolButton" name="upButton" >
+       <property name="sizePolicy" >
+        <sizepolicy>
+         <hsizetype>1</hsizetype>
+         <vsizetype>0</vsizetype>
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
+       <property name="text" >
+        <string>Up</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QToolButton" name="leftButton" >
+       <property name="sizePolicy" >
+        <sizepolicy>
+         <hsizetype>1</hsizetype>
+         <vsizetype>0</vsizetype>
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
+       <property name="text" >
+        <string>&lt;-</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QToolButton" name="rightButton" >
+       <property name="sizePolicy" >
+        <sizepolicy>
+         <hsizetype>1</hsizetype>
+         <vsizetype>0</vsizetype>
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
+       <property name="text" >
+        <string>-></string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QToolButton" name="downButton" >
+       <property name="sizePolicy" >
+        <sizepolicy>
+         <hsizetype>1</hsizetype>
+         <vsizetype>0</vsizetype>
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
+       <property name="text" >
+        <string>Down</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <spacer>
+       <property name="orientation" >
+        <enum>Qt::Vertical</enum>
+       </property>
+       <property name="sizeHint" >
+        <size>
+         <width>29</width>
+         <height>16</height>
+        </size>
+       </property>
+      </spacer>
+     </item>
+    </layout>
+   </item>
+   <item row="3" column="2" >
+    <widget class="QListWidget" name="currentToolBarList" />
+   </item>
+   <item row="2" column="1" colspan="2" >
+    <widget class="QLabel" name="label_3" >
+     <property name="text" >
+      <string>Current Toolbar Actions</string>
+     </property>
+    </widget>
+   </item>
+   <item row="1" column="1" colspan="2" >
+    <widget class="QListWidget" name="toolBarList" />
+   </item>
+  </layout>
+ </widget>
+ <pixmapfunction></pixmapfunction>
+ <tabstops>
+  <tabstop>newButton</tabstop>
+  <tabstop>removeButton</tabstop>
+  <tabstop>renameButton</tabstop>
+  <tabstop>toolBarList</tabstop>
+  <tabstop>upButton</tabstop>
+  <tabstop>leftButton</tabstop>
+  <tabstop>rightButton</tabstop>
+  <tabstop>downButton</tabstop>
+  <tabstop>currentToolBarList</tabstop>
+  <tabstop>defaultButton</tabstop>
+  <tabstop>okButton</tabstop>
+  <tabstop>applyButton</tabstop>
+  <tabstop>cancelButton</tabstop>
+ </tabstops>
+ <resources/>
+ <connections/>
+</ui>
Index: trunk/src/globals.h
===================================================================
--- trunk/src/globals.h	(revision 116)
+++ trunk/src/globals.h	(revision 117)
@@ -35,4 +35,5 @@
 	#include <QtSvg>
 #endif // NOSVG && QT_VERSION >= 0x040500
+#include <QtToolBarDialog>
 
 // Version info
Index: trunk/src/mainwindow.cpp
===================================================================
--- trunk/src/mainwindow.cpp	(revision 116)
+++ trunk/src/mainwindow.cpp	(revision 117)
@@ -316,13 +316,8 @@
 {
 QPrintDialog pd(printer,this);
-#if QT_VERSION >= 0x040500
-	// No such methods in Qt < 4.5
-	pd.setOption(QAbstractPrintDialog::PrintSelection,false);
-	pd.setOption(QAbstractPrintDialog::PrintPageRange,false);
-#endif
 	if (pd.exec() != QDialog::Accepted)
 		return;
 	QApplication::setOverrideCursor(QCursor(Qt::WaitCursor));
-	solutionText->document()->print(printer);
+	solutionText->print(printer);
 	QApplication::restoreOverrideCursor();
 }
@@ -520,4 +515,5 @@
 	dlg->setWindowFlags(Qt::Dialog | Qt::CustomizeWindowHint | Qt::WindowTitleHint | Qt::WindowCloseButtonHint);
 	dlg->setWindowTitle(tr("About %1").arg(QApplication::applicationName()));
+	dlg->setWindowIcon(QIcon(":/images/icons/help-about.png"));
 	dlg->setLayout(vb);
 
@@ -1233,10 +1229,10 @@
 	actionFilePrintPreview->setObjectName("actionFilePrintPreview");
 	actionFilePrintPreview->setEnabled(false);
-	actionFilePrintPreview->setIcon(QIcon(":/images/icons/document_preview.png"));
+	actionFilePrintPreview->setIcon(QIcon(":/images/icons/document-print-preview.png"));
 
 	actionFilePrint = new QAction(this);
 	actionFilePrint->setObjectName("actionFilePrint");
 	actionFilePrint->setEnabled(false);
-	actionFilePrint->setIcon(QIcon(":/images/icons/fileprint.png"));
+	actionFilePrint->setIcon(QIcon(":/images/icons/document-print.png"));
 
 	menuFile->insertAction(actionFileExit,actionFilePrintPreview);
@@ -1261,4 +1257,5 @@
 #ifdef Q_OS_WIN32
 	actionHelpCheck4Updates = new QAction(this);
+	actionHelpCheck4Updates->setIcon(QIcon(":/images/icons/system-software-update.png"));
 	actionHelpCheck4Updates->setEnabled(hasUpdater());
 	menuHelp->insertAction(actionHelpAboutQt, actionHelpCheck4Updates);
@@ -1276,4 +1273,17 @@
 	}
 #endif // Q_OS_WIN32
+
+#ifndef HANDHELD
+	toolBarManager = new QtToolBarManager;
+	toolBarManager->setMainWindow(this);
+QString cat = toolBar->windowTitle();
+	toolBarManager->addToolBar(toolBar, cat);
+#ifndef QT_NO_PRINTER
+	toolBarManager->addAction(actionFilePrintPreview, cat);
+#endif // QT_NO_PRINTER
+	toolBarManager->addAction(actionHelpContents, cat);
+	toolBarManager->addAction(actionHelpContextual, cat);
+//	toolBarManager->addAction(action, cat);
+#endif // HANDHELD
 }
 
@@ -1301,2 +1311,11 @@
 #endif // Q_OS_WIN32
 }
+
+#ifndef HANDHELD
+void MainWindow::on_actionSettingsToolbars_triggered()
+{
+QtToolBarDialog dlg(this);
+	dlg.setToolBarManager(toolBarManager);
+	dlg.exec();
+}
+#endif // HANDHELD
Index: trunk/src/mainwindow.h
===================================================================
--- trunk/src/mainwindow.h	(revision 116)
+++ trunk/src/mainwindow.h	(revision 117)
@@ -63,4 +63,7 @@
 	void actionSettingsPreferencesTriggered();
 	void actionSettingsLanguageAutodetectTriggered(bool checked);
+#ifndef HANDHELD
+	void on_actionSettingsToolbars_triggered();
+#endif // HANDHELD
 	void groupSettingsLanguageListTriggered(QAction *action);
 	void actionSettingsStyleSystemTriggered(bool checked);
@@ -91,4 +94,7 @@
 	QActionGroup *groupSettingsLanguageList;
 	QActionGroup *groupSettingsStyleList;
+#ifndef HANDHELD
+	QtToolBarManager *toolBarManager;
+#endif // HANDHELD
 #ifndef QT_NO_PRINTER
 	QPrinter *printer;
Index: trunk/src/settingsdialog.cpp
===================================================================
--- trunk/src/settingsdialog.cpp	(revision 116)
+++ trunk/src/settingsdialog.cpp	(revision 117)
@@ -35,8 +35,8 @@
 	setupUi(this);
 
-	buttonBox->button(QDialogButtonBox::Save)->setIcon(QIcon(":/images/icons/button_ok.png"));
+	buttonBox->button(QDialogButtonBox::Save)->setIcon(QIcon(":/images/icons/dialog-ok.png"));
 	buttonBox->button(QDialogButtonBox::Save)->setStatusTip(tr("Save new preferences"));
 	buttonBox->button(QDialogButtonBox::Save)->setCursor(QCursor(Qt::PointingHandCursor));
-	buttonBox->button(QDialogButtonBox::Cancel)->setIcon(QIcon(":/images/icons/button_cancel.png"));
+	buttonBox->button(QDialogButtonBox::Cancel)->setIcon(QIcon(":/images/icons/dialog-cancel.png"));
 	buttonBox->button(QDialogButtonBox::Cancel)->setStatusTip(tr("Close without saving preferences"));
 	buttonBox->button(QDialogButtonBox::Cancel)->setCursor(QCursor(Qt::PointingHandCursor));
@@ -108,5 +108,5 @@
 	imgIcon->setSizePolicy(QSizePolicy::Fixed,QSizePolicy::Expanding);
 	imgIcon->setFrameShape(QFrame::NoFrame);
-	imgIcon->setPixmap(QPixmap(":/images/icons/preferences_system.png"));
+	imgIcon->setPixmap(QPixmap(":/images/icons/preferences-system.png"));
 	imgIcon->setStyleSheet("background-color: #0080C0; padding-top: 11px;");
 	imgIcon->setAlignment(Qt::AlignTop | Qt::AlignHCenter);
Index: trunk/tspsg.pro
===================================================================
--- trunk/tspsg.pro	(revision 116)
+++ trunk/tspsg.pro	(revision 117)
@@ -35,6 +35,12 @@
 #REVISION = 100
 REVISION = $$system(svnversion)
+REVISION = $$replace(REVISION,":","")
 REVISION = $$replace(REVISION,"M","")
-VERSION = $$sprintf("%1.%2.%3.%4",$$BUILD_VERSION_MAJOR,$$BUILD_VERSION_MINOR,$$BUILD_RELEASE,$$REVISION)
+#VERSION = $$sprintf("%1.%2.%3.%4",$$BUILD_VERSION_MAJOR,$$BUILD_VERSION_MINOR,$$BUILD_RELEASE,$$REVISION)
+win32-msvc* {
+	VERSION = $$sprintf("%1.%2",$$BUILD_VERSION_MAJOR,$$BUILD_VERSION_MINOR)
+} else {
+	VERSION = $$sprintf("%1.%2.%3.%4",$$BUILD_VERSION_MAJOR,$$BUILD_VERSION_MINOR,$$BUILD_RELEASE,$$REVISION)
+}
 
 DEFINES += BUILD_VERSION_MAJOR=$$BUILD_VERSION_MAJOR \
@@ -76,4 +82,7 @@
 UI_DIR = ./tmp
 
+# Include 3rd party libraries
+include(src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri)
+
 # Include file(s)
 include(tspsg.pri)
Index: trunk/ui/mainwindow.ui
===================================================================
--- trunk/ui/mainwindow.ui	(revision 116)
+++ trunk/ui/mainwindow.ui	(revision 117)
@@ -162,5 +162,5 @@
          <property name="icon">
           <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
+           <normaloff>:/images/icons/dialog-ok.png</normaloff>:/images/icons/dialog-ok.png</iconset>
          </property>
         </widget>
@@ -212,5 +212,5 @@
          <property name="icon">
           <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+           <normaloff>:/images/icons/document-save-as.png</normaloff>:/images/icons/document-save-as.png</iconset>
          </property>
         </widget>
@@ -242,5 +242,5 @@
          <property name="icon">
           <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/back.png</normaloff>:/images/icons/back.png</iconset>
+           <normaloff>:/images/icons/go-previous.png</normaloff>:/images/icons/go-previous.png</iconset>
          </property>
         </widget>
@@ -275,5 +275,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+       <normaloff>:/images/icons/document-save-as.png</normaloff>:/images/icons/document-save-as.png</iconset>
      </property>
      <addaction name="actionFileSaveAsTask"/>
@@ -303,5 +303,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
+       <normaloff>:/images/icons/preferences-desktop-locale.png</normaloff>:/images/icons/preferences-desktop-locale.png</iconset>
      </property>
      <addaction name="actionSettingsLanguageAutodetect"/>
@@ -313,7 +313,13 @@
       <string>Style</string>
      </property>
+     <property name="icon">
+      <iconset resource="../resources/tspsg.qrc">
+       <normaloff>:/images/icons/preferences-desktop-theme.png</normaloff>:/images/icons/preferences-desktop-theme.png</iconset>
+     </property>
     </widget>
     <addaction name="menuSettingsLanguage"/>
     <addaction name="menuSettingsStyle"/>
+    <addaction name="actionSettingsToolbars"/>
+    <addaction name="separator"/>
     <addaction name="actionSettingsPreferences"/>
    </widget>
@@ -370,5 +376,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
+     <normaloff>:/images/icons/document-new.png</normaloff>:/images/icons/document-new.png</iconset>
    </property>
    <property name="text">
@@ -388,5 +394,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
+     <normaloff>:/images/icons/document-open.png</normaloff>:/images/icons/document-open.png</iconset>
    </property>
    <property name="text">
@@ -406,5 +412,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
+     <normaloff>:/images/icons/preferences-system.png</normaloff>:/images/icons/preferences-system.png</iconset>
    </property>
    <property name="text">
@@ -421,5 +427,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
+     <normaloff>:/images/icons/help-contents.png</normaloff>:/images/icons/help-contents.png</iconset>
    </property>
    <property name="text">
@@ -439,5 +445,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
+     <normaloff>:/images/icons/help-contextual.png</normaloff>:/images/icons/help-contextual.png</iconset>
    </property>
    <property name="text">
@@ -454,5 +460,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
+     <normaloff>:/images/icons/help-about.png</normaloff>:/images/icons/help-about.png</iconset>
    </property>
    <property name="text">
@@ -466,5 +472,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
+     <normaloff>:/images/icons/application-exit.png</normaloff>:/images/icons/application-exit.png</iconset>
    </property>
    <property name="text">
@@ -520,5 +526,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
+     <normaloff>:/images/icons/document-save.png</normaloff>:/images/icons/document-save.png</iconset>
    </property>
    <property name="text">
@@ -559,4 +565,16 @@
    <property name="statusTip">
     <string>Automatically choose the most appropriate style</string>
+   </property>
+  </action>
+  <action name="actionSettingsToolbars">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/icons/configure-toolbars.png</normaloff>:/images/icons/configure-toolbars.png</iconset>
+   </property>
+   <property name="text">
+    <string>Toolbars...</string>
+   </property>
+   <property name="statusTip">
+    <string>Customize toolbars</string>
    </property>
   </action>
